# Uses of Interface
java.lang.Thread.UncaughtExceptionHandler

Packages that use Thread.UncaughtExceptionHandler
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.util.concurrent
Utility classes commonly useful in concurrent programming.

- ## Uses of Thread.UncaughtExceptionHandler in java.lang

  Classes in java.lang that implement Thread.UncaughtExceptionHandler
  Modifier and Type
  Class
  Description
  `class`
  `ThreadGroup`
  A thread group represents a set of threads.
  Methods in java.lang that return Thread.UncaughtExceptionHandler
  Modifier and Type
  Method
  Description
  `static Thread.UncaughtExceptionHandler`
  Thread.`getDefaultUncaughtExceptionHandler()`
  Returns the default handler invoked when a thread abruptly terminates due to an uncaught exception.
  `Thread.UncaughtExceptionHandler`
  Thread.`getUncaughtExceptionHandler()`
  Returns the handler invoked when this thread abruptly terminates due to an uncaught exception.
  Methods in java.lang with parameters of type Thread.UncaughtExceptionHandler
  Modifier and Type
  Method
  Description
  `static void`
  Thread.`setDefaultUncaughtExceptionHandler(Thread.UncaughtExceptionHandler ueh)`
  Set the default handler invoked when a thread abruptly terminates due to an uncaught exception, and no other handler has been defined for that thread.
  `void`
  Thread.`setUncaughtExceptionHandler(Thread.UncaughtExceptionHandler ueh)`
  Set the handler invoked when this thread abruptly terminates due to an uncaught exception.
  `Thread.Builder.OfPlatform`
  Thread.Builder.OfPlatform.`uncaughtExceptionHandler(Thread.UncaughtExceptionHandler ueh)`
  `Thread.Builder.OfVirtual`
  Thread.Builder.OfVirtual.`uncaughtExceptionHandler(Thread.UncaughtExceptionHandler ueh)`
  `Thread.Builder`
  Thread.Builder.`uncaughtExceptionHandler(Thread.UncaughtExceptionHandler ueh)`
  Sets the uncaught exception handler.

- ## Uses of Thread.UncaughtExceptionHandler in java.util.concurrent

  Methods in java.util.concurrent that return Thread.UncaughtExceptionHandler
  Modifier and Type
  Method
  Description
  `Thread.UncaughtExceptionHandler`
  ForkJoinPool.`getUncaughtExceptionHandler()`
  Returns the handler for internal worker threads that terminate due to unrecoverable errors encountered while executing tasks.
  Constructors in java.util.concurrent with parameters of type Thread.UncaughtExceptionHandler
  Modifier
  Constructor
  Description
  ``
  `ForkJoinPool(int parallelism, ForkJoinPool.ForkJoinWorkerThreadFactory factory, Thread.UncaughtExceptionHandler handler, boolean asyncMode)`
  Creates a `ForkJoinPool` with the given parameters (using defaults for others -- see `ForkJoinPool(int, ForkJoinWorkerThreadFactory, UncaughtExceptionHandler, boolean, int, int, int, Predicate, long, TimeUnit)`).
  ``
  `ForkJoinPool(int parallelism, ForkJoinPool.ForkJoinWorkerThreadFactory factory, Thread.UncaughtExceptionHandler handler, boolean asyncMode, int corePoolSize, int maximumPoolSize, int minimumRunnable, Predicate<? super ForkJoinPool> saturate, long keepAliveTime, TimeUnit unit)`
  Creates a `ForkJoinPool` with the given parameters.